Bug 96343 - oom since st/mesa: implement PBO downloads for ReadPixels
Summary: oom since st/mesa: implement PBO downloads for ReadPixels
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-02 18:46 UTC by Andy Furniss
Modified: 2016-06-06 19:52 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
oom (35.28 KB, text/plain)
2016-06-02 18:46 UTC, Andy Furniss
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Furniss 2016-06-02 18:46:20 UTC
Created attachment 124282 [details]
oom

Tonga with xserver 1.8.3, agd5f drm-next-4.8-wip, git mesa/llvm/libdrm/xf86-video-amdgpu.

Desktop is fluxbox = non-compositing.

Since -

commit ed0e9862c56d13381f0414b5a835fd31960edfe6
Author: Nicolai Hähnle <nicolai.haehnle@amd.com>
Date:   Tue Apr 26 13:19:28 2016 -0500

    st/mesa: implement PBO downloads for ReadPixels
    
    v2: require PIPE_CAP_SAMPLER_VIEW_TARGET; technically only needed for some of
        the texture targets, but all hardware that has shader images should also
        have this cap.

I can provoke an oom on xorg as attached by displaying a couple of 1920 xwds with display from ImageMagick and flipping between then, plus some middle mouse clicking (which magnifys a section and gives info on the pixel clicked).

Oom is not instant - may take a couple of minutes clicking/flipping.

Polling free when doing this doesn't indicate any issue until it triggers so it's not slowly leaking, but goes quickly at some point filling swap then oom.
Comment 1 Nicolai Hähnle 2016-06-02 20:51:26 UTC
Thank you for testing and reporting :)

Please try https://patchwork.freedesktop.org/patch/91150/ - it fixes a related resource leak, hopefully there's nothing else.
Comment 2 Andy Furniss 2016-06-02 21:44:49 UTC
(In reply to Nicolai Hähnle from comment #1)
> Thank you for testing and reporting :)
> 
> Please try https://patchwork.freedesktop.org/patch/91150/ - it fixes a
> related resource leak, hopefully there's nothing else.

That fixes it, thanks.
Comment 3 Nicolai Hähnle 2016-06-06 19:52:51 UTC
This has now been fixed in Mesa master.


bug/show.html.tmpl processed on Feb 26, 2017 at 07:44:48.
(provided by the Example extension).